Module SQL_文件管理系統
    Friend Sub SQL_讀取公司資料()
        ConnOpen()
        SQL1 = "SELECT 公司名稱 , 地址,電話,傳真,簡稱 FROM 系統預設值"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表清單(已作廢 As String, 已送審 As String, 已核准 As String)
        ConnOpen()
        If PA56 = "" Then
            SQL2 = ""
        Else
            SQL2 = " AND 公函控制表.受文者 LIKE N'%" & PA56 & "%' OR 公函控制表.主旨 LIKE N'%" & PA56 & "%' OR 公函控制表.說明 LIKE N'%" & PA56 & "%'
                    Or 公函控制表.正本 Like N'%" & PA56 & "%'OR 公函控制表.副本 LIKE N'%" & PA56 & "%'"
        End If
        SQL1 = "SELECT 流水號 AS 發文字號,發文日期,承辦人,受文者,速別,密等及解密條件,附件,主旨,說明,正本,副本,已儲存,已作廢,手機,標題 FROM 公函控制表
                WHERE 已作廢 = " & 已作廢 & " AND 已送審 = " & 已送審 & "  AND 已核准 = " & 已核准 & SQL2 & " 
                ORDER BY 流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_公函_控制表清單1()
        ConnOpen()
        If PA56 = "" Then
            SQL2 = ""
        Else
            SQL2 = " AND 公函控制表.受文者 LIKE N'%" & PA56 & "%' OR 公函控制表.主旨 LIKE N'%" & PA56 & "%' OR 公函控制表.說明 LIKE N'%" & PA56 & "%'
                    Or 公函控制表.正本 Like N'%" & PA56 & "%'OR 公函控制表.副本 LIKE N'%" & PA56 & "%'"
        End If
        SQL1 = "SELECT 流水號 AS 發文字號,發文日期,承辦人,受文者,速別,密等及解密條件,附件,主旨,說明,正本,副本,已儲存,已作廢,手機 FROM 公函控制表
                WHERE  已作廢 = 1 " & SQL2 & " 
                ORDER BY 流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_公函_查詢第一筆單號()
        ConnOpen()
        SQL1 = "SELECT TOP (1)  流水號 FROM 公函控制表 WHERE ( 流水號 LIKE N'" & PA & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_新增一筆公函控制表()
        ConnOpen()
        SQL1 = "INSERT INTO 公函控制表 (流水號, 發文日期, 承辦人, 受文者, 速別, 密等及解密條件, 附件, 主旨, 說明, 正本, 副本,已儲存,已作廢,手機,標題, 已核准, 核准人,
                        核准日期, 已送審, 送審日期 ) " &
               "VALUES (N'" & PA & "', N'" & PA1 & "', N'', N'', N'', N'', N'', N'', N'', N'', N'', 0, 0,N'',N'',0,N'',N'',0,N'')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表刪除()
        ConnOpen()
        SQL1 = "DELETE FROM 公函控制表 WHERE (流水號 LIKE N'" & 公函.單號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表修改()
        ConnOpen()

        SQL1 = "UPDATE 公函控制表 SET 承辦人 = N'" & 公函.承辦人_tb.Text & "', 受文者 = N'" & 公函.受文者_tb.Text & "', 
                                        速別= N'" & 公函.速別_tb.Text & "', 密等及解密條件 = N'" & 公函.密等_tb.Text & "', 
                                        附件 = N'" & 公函.附件_tb.Text & "', 主旨 = N'" & 公函.主旨_tb.Text & "', 
                                        說明 = N'" & 公函.說明_rtb.Text & "', 正本 = N'" & 公函.正本_tb.Text & "', 
                                        副本 = N'" & 公函.副本_tb.Text & "', 已儲存 = 0, 
                                        已作廢 = 0, 手機 = N'" & 公函.手機_tb.Text & "',發文日期=N'" & PA1 & "',
                                        標題 = N'" & 公函.標題_tb.Text & "'
                 WHERE (流水號 LIKE N'" & 公函.單號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表作廢()
        ConnOpen()
        SQL1 = "UPDATE 公函控制表 SET 已作廢 = 1 WHERE (流水號 LIKE N'" & 公函.單號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表鎖定()
        ConnOpen()
        SQL1 = "UPDATE 公函控制表 SET 已儲存 = 1 WHERE (流水號 ='" & 公函.單號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表送審(送審日期 As String, 流水號 As String)
        ConnOpen()
        SQL1 = "UPDATE 公函控制表 SET 已送審 = 1, 送審日期 = N'" & 送審日期 & "' WHERE (流水號 LIKE N'" & 流水號 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表退件(流水號 As String)
        ConnOpen()
        SQL1 = "UPDATE 公函控制表 SET 已送審 = 0, 送審日期 = N'' WHERE (流水號 LIKE N'" & 流水號 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_公函_控制表過審(流水號 As String, 核准日期 As String, 核准人 As String)
        ConnOpen()
        SQL1 = "UPDATE 公函控制表 SET 已核准 = 1, 核准日期 = N'" & 核准日期 & "',核准人=N'" & 核准人 & "'  WHERE (流水號 LIKE N'" & 流水號 & "')"
        CmdSet_For_dr()
    End Sub
    '--通用--
    Friend Sub SQL_通用_控制表清單(ByVal 文件類型 As String)
        ConnOpen()
        If PA56 = "" Then
            SQL2 = ""
        Else
            SQL2 = " AND 簽呈控制表.檔案名稱 LIKE N'%" & PA56 & "%' OR 簽呈控制表.主旨 LIKE N'%" & PA56 & "%' OR 簽呈控制表.說明 LIKE N'%" & PA56 & "%'
                    Or 簽呈控制表.擬辦 Like N'%" & PA56 & "%'"
        End If
        SQL1 = "SELECT 選擇日期 AS " & 文件類型 & "日期,檔案名稱,流水號,主旨,說明,擬辦,敬陳一,敬陳二,敬會一,敬會二,敬會三,敬會四,敬會五,已儲存,已作廢,開單人 FROM 簽呈控制表
                WHERE (已作廢 = 0) AND (文件類型 LIKE N'" & 文件類型 & "') " & SQL2 & " 
                ORDER BY 流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_通用_控制表清單1(ByVal 文件類型 As String)
        ConnOpen()
        If PA56 = "" Then
            SQL2 = ""
        Else
            SQL2 = " AND 簽呈控制表.檔案名稱 LIKE N'%" & PA56 & "%' OR 簽呈控制表.主旨 LIKE N'%" & PA56 & "%' OR 簽呈控制表.說明 LIKE N'%" & PA56 & "%'
                    OR 簽呈控制表.擬辦 Like N'%" & PA56 & "%' OR 簽呈控制表.開單人 Like N'%" & PA56 & "%'"
        End If
        SQL1 = "SELECT 選擇日期 AS " & 文件類型 & "日期,檔案名稱,流水號,主旨,說明,擬辦,敬陳一,敬陳二,敬會一,敬會二,敬會三,敬會四,敬會五,已儲存,已作廢,開單人 FROM 簽呈控制表
                WHERE 已作廢 = 1  AND (文件類型 LIKE N'" & 文件類型 & "') " & SQL2 & " 
                ORDER BY 流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_通用_查詢第一筆單號()
        ConnOpen()
        SQL1 = "SELECT TOP (1)  流水號 FROM 簽呈控制表 ORDER BY 流水號 DESC"
        CmdSet_For_dr()
    End Sub

    Friend Sub SQL_通用_新增一筆公函控制表(ByVal 文件類型 As String)
        ConnOpen()
        SQL1 = "INSERT INTO 簽呈控制表 (流水號 ,檔案名稱,選擇日期,主旨,說明,擬辦,敬陳一,敬陳二,敬會一,敬會二,敬會三,敬會四,敬會五,已儲存,已作廢,文件類型,開單人) " &
               "VALUES (N'" & PA & "', N'', N'" & PA1 & "', N'', N'', N'', N'', N'', N'', N'', N'',N'',N'', 0, 0,N'" & 文件類型 & "',N'" & gUserName & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_通用_控制表刪除(ByVal 流水號 As String)
        ConnOpen()
        SQL1 = "DELETE FROM 簽呈控制表 WHERE (流水號 LIKE N'" & 流水號 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_通用_控制表修改(ByVal 檔案名稱 As String, ByVal 主旨 As String, ByVal 說明 As String, ByVal 擬辦 As String, ByVal 敬陳一 As String, ByVal 敬陳二 As String,
                            ByVal 敬會一 As String, ByVal 敬會二 As String, ByVal 敬會三 As String, ByVal 敬會四 As String, ByVal 敬會五 As String, ByVal 流水號 As String, ByVal 文件類型 As String)
        ConnOpen()
        SQL1 = "UPDATE 簽呈控制表 SET 檔案名稱 = N'" & 檔案名稱 & "', 主旨 = N'" & 主旨 & "',  說明= N'" & 說明 & "', 擬辦 = N'" & 擬辦 & "', 敬陳一 = N'" & 敬陳一 & "',
                                        敬陳二 = N'" & 敬陳二 & "',  敬會一 = N'" & 敬會一 & "', 敬會二 = N'" & 敬會二 & "',  敬會三 = N'" & 敬會三 & "', 敬會四 = N'" & 敬會四 & "',
                                        敬會五 = N'" & 敬會五 & "', 已儲存 = 0, 已作廢 = 0
                 WHERE (流水號 LIKE N'" & 流水號 & "') AND (文件類型 LIKE N'" & 文件類型 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_通用_控制表作廢(ByVal 流水號 As String, ByVal 文件類型 As String)
        ConnOpen()
        SQL1 = "UPDATE 簽呈控制表 SET 已作廢 = 1 WHERE (流水號 LIKE N'" & 流水號 & "') AND  (文件類型 LIKE N'" & 文件類型 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_通用_控制表鎖定(ByVal 流水號 As String, ByVal 文件類型 As String)
        ConnOpen()
        SQL1 = "UPDATE 簽呈控制表 SET 已儲存 = 1 WHERE (流水號 LIKE N'" & 流水號 & "') AND (文件類型 LIKE N'" & 文件類型 & "')"
        CmdSet_For_dr()
    End Sub
End Module
